> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook

> Returns a single webhook by ID.



## OpenAPI

````yaml get /projects/{project_id}/webhooks/{id}
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/webhooks/{id}:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
      - name: id
        in: path
        description: id
        required: true
        schema:
          type: string
    get:
      tags:
        - Webhooks
      summary: Get webhook
      description: Returns a single webhook by ID.
      operationId: projects/webhooks#show
      responses:
        '200':
          description: successful
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/projectWebhookExample'
              schema:
                $ref: '#/components/schemas/projectWebhookModel'
      security:
        - apiKey: []
components:
  examples:
    projectWebhookExample:
      summary: A sample webhook response
      value:
        id: 1
        url: https://example.com/
        enabled: true
        use_static_ip: false
        headers:
          Authorization: Bearer xxxxxx
          X-My-Custom-Header-Y: yyyyyy
          X-My-Custom-Header-Z: zzzzzz
        created: 2022-01-02 23:59:59 UTC
        updated: 2022-03-04 00:00:00 UTC
  schemas:
    projectWebhookModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the object
        url:
          type: string
          description: >-
            The URL that BeyondWords will send webhook notifications to. This
            URL must be served over HTTPS
        headers:
          type: object
        enabled:
          type: boolean
          description: >-
            Whether or not the webhook is enabled or disabled Has the value true
            if enabled. The default is true.
        use_static_ip:
          type: boolean
          description: Whether requests to URL should originate from a static IP address.
        created:
          type: string
          format: date-time
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          format: date-time
          description: Time at which the object was updated (ISO 8601)
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````